DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Static Private Attributes | List of all members
IODGeneralImageModule Class Reference

Class representing the General Image Module: More...

Inheritance diagram for IODGeneralImageModule:

## Public Member Functions
| IODGeneralImageModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODGeneralImageModule ()
| Constructor.
virtual | ~IODGeneralImageModule ()
| Destructor.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of module. More...
virtual OFCondition | getInstanceNumber (OFString &value, const signed long pos=0)
| Get Instance Number. More...
virtual OFCondition | getPatientOrientation (OFString &value, const signed long pos=0)
| Get Patient Orientation. More...
virtual OFCondition | getContentDate (OFString &value, const signed long pos=0)
| Get Content Date. More...
virtual OFCondition | getContentTime (OFString &value, const signed long pos=0)
| Get Content Time. More...
virtual OFCondition | getImageType (OFString &value, const signed long pos=0)
| Get Image Type. More...
virtual OFCondition | getAcquisitionNumber (OFString &value, const signed long pos=0)
| Get Acquisition Number. More...
virtual OFCondition | getAcquisitionDate (OFString &value, const signed long pos=0)
| Get Acquisition Date. More...
virtual OFCondition | getAcquisitionTime (OFString &value, const signed long pos=0)
| Get Acquisition Time. More...
virtual OFCondition | getAcquisitionDateTime (OFString &value, const signed long pos=0)
| Get Acquisition Date Time. More...
virtual OFCondition | getImageComments (OFString &value, const signed long pos=0)
| Get Image Comments. More...
virtual OFCondition | getBurnedInAnnotation (OFString &value, const signed long pos=0)
| Get Burned In Annotation. More...
virtual OFCondition | getRecognizableVisualFeatures (OFString &value, const signed long pos=0)
| Get Recognizable Visual Features. More...
virtual OFCondition | getLossyImageCompression (OFString &value, const signed long pos=0)
| Get Lossy Image Compression. More...
virtual OFCondition | getLossyImageCompressionRatio (OFString &value, const signed long pos=0)
| Get Lossy Image Compression. More...
virtual OFCondition | getLossyImageCompressionMethod (OFString &value, const signed long pos=0)
| Get Lossy Image Compression Method. More...
virtual OFCondition | getPresentationLUTShape (OFString &value, const signed long pos=0)
| Get Presentation LUT Shape. More...
virtual OFCondition | getIrradiationEventUID (OFString &value, const signed long pos=0)
| Get Irridation Event UID. More...
virtual OFCondition | setInstanceNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Instance Number. More...
virtual OFCondition | setPatientOrientation (const OFString &value, const OFBool checkValue=OFTrue)
| Set Patient Orientation. More...
virtual OFCondition | setContentDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Date. More...
virtual OFCondition | setContentTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Content Time. More...
virtual OFCondition | setImageType (const OFString &value, const OFBool checkValue=OFTrue)
| Set Image Type. More...
virtual OFCondition | setAcquisitionNumber (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Number. More...
virtual OFCondition | setAcquisitionDate (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Date. More...
virtual OFCondition | setAcquisitionTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Time. More...
virtual OFCondition | setAcquisitionDateTime (const OFString &value, const OFBool checkValue=OFTrue)
| Set Acquisition Date Time. More...
virtual OFCondition | setImageComments (const OFString &value, const OFBool checkValue=OFTrue)
| Set Image Comments. More...
virtual OFCondition | setBurnedInAnnotation (const OFString &value, const OFBool checkValue=OFTrue)
| Set Burned In Annotation. More...
virtual OFCondition | setRecognizableVisualFeatures (const OFString &value, const OFBool checkValue=OFTrue)
| Set Recognizable Visual Features. More...
virtual OFCondition | setLossyImageCompression (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression. More...
virtual OFCondition | setLossyImageCompressionRatio (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression Ratio. More...
virtual OFCondition | setLossyImageCompressionMethod (const OFString &value, const OFBool checkValue=OFTrue)
| Set Lossy Image Compression method. More...
virtual OFCondition | setLossyImageCompressionFlag (const OFString &ratios, const OFString &methods, const OFBool checkValues=OFTrue)
| Helper method to set lossy compression flag of the to "01" as well as ratios and methods in one go. More...
virtual OFCondition | setPresentationLUTShape (const OFString &value, const OFBool checkValue=OFTrue)
| Set Presentation LUT Shape. More...
virtual OFCondition | setIrradiationEventUID (const OFString &value, const OFBool checkValue=OFTrue)
| Set Irradiation Event UID. More...
Public Member Functions inherited from IODModule
| IODModule (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules)
| Constructor. More...
| IODModule ()
| Constructor. More...
| IODModule (const IODModule &rhs)
| Copy constructor, creates shallow copy. More...
IODModule & | operator= (const IODModule &rhs)
| Assignment operator, creates shallow copy. More...
| ~IODModule ()
| Destructor.
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | clearData ()
| Clear all attributes from the data that are handled by this module. More...
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read attributes from given item into this class. More...
virtual OFCondition | write (DcmItem &destination)
| Write attributes from this class into given item. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Static Private Attributes
static const OFString | m_ModuleName
| The module's name ("GeneralImageModule")

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Detailed Description

Class representing the General Image Module:

Instance Number: (IS, 1, 2) Patient Orientation: (CS, 2, 2) Content Date: (DA, 1, 2C) Content Time: (TM, 1, 2C) Image Type: (CS, 1, 2-n) Acquisition Number (IS, 1, 3) Acquisition Date (DA, 1, 3) Acquisition Time (TM, 1, 3) Acquisition Date Time (DT, 1, 3) Image Comments (LT, 1, 3) Burned In Annotation (CS, 1, 3) Recognizable Visual Features (CS, 1, 3) Lossy Image Compression (CS, 1, 3) Lossy Image Compression Ratio (DS, 1, 3) Lossy Image Compression Method (CS, 1-n, 3) Presentation LUT Shape (CS, 1, 3) Irradiation Event UID (CS, 1-n, 3)

## Constructor & Destructor Documentation

## ◆ IODGeneralImageModule()

IODGeneralImageModule::IODGeneralImageModule | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set for this class. If NULL, the class creates one from scratch and adds its values.

## Member Function Documentation

## ◆ getAcquisitionDate()

virtual OFCondition IODGeneralImageModule::getAcquisitionDate | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Acquisition Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getAcquisitionDateTime()

virtual OFCondition IODGeneralImageModule::getAcquisitionDateTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Acquisition Date Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getAcquisitionNumber()

virtual OFCondition IODGeneralImageModule::getAcquisitionNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Acquisition Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getAcquisitionTime()

virtual OFCondition IODGeneralImageModule::getAcquisitionTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Acquisition Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getBurnedInAnnotation()

virtual OFCondition IODGeneralImageModule::getBurnedInAnnotation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Burned In Annotation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getContentDate()

virtual OFCondition IODGeneralImageModule::getContentDate | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Content Date.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getContentTime()

virtual OFCondition IODGeneralImageModule::getContentTime | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Content Time.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageComments()

virtual OFCondition IODGeneralImageModule::getImageComments | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Image Comments.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getImageType()

virtual OFCondition IODGeneralImageModule::getImageType | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Image Type.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getInstanceNumber()

virtual OFCondition IODGeneralImageModule::getInstanceNumber | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Instance Number.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getIrradiationEventUID()

virtual OFCondition IODGeneralImageModule::getIrradiationEventUID | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Irridation Event UID.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompression()

virtual OFCondition IODGeneralImageModule::getLossyImageCompression | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Lossy Image Compression.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionMethod()

virtual OFCondition IODGeneralImageModule::getLossyImageCompressionMethod | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Lossy Image Compression Method.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio()

virtual OFCondition IODGeneralImageModule::getLossyImageCompressionRatio | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Lossy Image Compression.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getName()

virtual OFString IODGeneralImageModule::getName | ( |  | ) | const
| virtual

Get name of module.

Returns
  Name of the module ("GeneralImageModule")

Implements IODComponent.

## ◆ getPatientOrientation()

virtual OFCondition IODGeneralImageModule::getPatientOrientation | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Patient Orientation.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getPresentationLUTShape()

virtual OFCondition IODGeneralImageModule::getPresentationLUTShape | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Presentation LUT Shape.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ getRecognizableVisualFeatures()

virtual OFCondition IODGeneralImageModule::getRecognizableVisualFeatures | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  |
| virtual

Get Recognizable Visual Features.

Parameters

  value | Reference to variable in which the value should be stored
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAcquisitionDate()

virtual OFCondition IODGeneralImageModule::setAcquisitionDate | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Acquisition Date.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAcquisitionDateTime()

virtual OFCondition IODGeneralImageModule::setAcquisitionDateTime | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Acquisition Date Time.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAcquisitionNumber()

virtual OFCondition IODGeneralImageModule::setAcquisitionNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Acquisition Number.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setAcquisitionTime()

virtual OFCondition IODGeneralImageModule::setAcquisitionTime | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Acquisition Time.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setBurnedInAnnotation()

virtual OFCondition IODGeneralImageModule::setBurnedInAnnotation | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Burned In Annotation.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setContentDate()

virtual OFCondition IODGeneralImageModule::setContentDate | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Content Date.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setContentTime()

virtual OFCondition IODGeneralImageModule::setContentTime | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Content Time.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setImageComments()

virtual OFCondition IODGeneralImageModule::setImageComments | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Image Comments.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setImageType()

virtual OFCondition IODGeneralImageModule::setImageType | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Image Type.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (2-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setInstanceNumber()

virtual OFCondition IODGeneralImageModule::setInstanceNumber | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Instance Number.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setIrradiationEventUID()

virtual OFCondition IODGeneralImageModule::setIrradiationEventUID | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Irradiation Event UID.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompression()

virtual OFCondition IODGeneralImageModule::setLossyImageCompression | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionFlag()

virtual OFCondition IODGeneralImageModule::setLossyImageCompressionFlag | ( | const OFString & | ratios,
|  | const OFString & | methods,
|  | const OFBool | checkValues = `OFTrue`
| ) |  |
| virtual

Helper method to set lossy compression flag of the to "01" as well as ratios and methods in one go.

Parameters

  ratios | Compression ratios (separated by backslash) of the applied lossy compression steps. Only one value (and no backslash) if only one step was performed.
  methods | Methods (separated by backslash) of the applied lossy compression steps. Only one value (and no backslash) if only one step was performed.
  checkValues | If OFTrue, the data provided is checked for validity

Returns
  EC_Normal if lossy compression info could be set, error code otherwise

## ◆ setLossyImageCompressionMethod()

virtual OFCondition IODGeneralImageModule::setLossyImageCompressionMethod | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression method.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionRatio()

virtual OFCondition IODGeneralImageModule::setLossyImageCompressionRatio | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Lossy Image Compression Ratio.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPatientOrientation()

virtual OFCondition IODGeneralImageModule::setPatientOrientation | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Patient Orientation.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (2) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setPresentationLUTShape()

virtual OFCondition IODGeneralImageModule::setPresentationLUTShape | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Presentation LUT Shape.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

## ◆ setRecognizableVisualFeatures()

virtual OFCondition IODGeneralImageModule::setRecognizableVisualFeatures | ( | const OFString & | value,
|  | const OFBool | checkValue = `OFTrue`
| ) |  |
| virtual

Set Recognizable Visual Features.

Parameters

  value | Value to be set (single value only).
  checkValue | Check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modgeneralimage.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1